Subject: Re: bug#5422: syntax highlighting bug

From: Bartosz Lew <[email-masked]>
Date: Mon, 3 Oct 2011 23:24:29 +0200

Thanks for the email.

Well, I don't see this behaviour now either but now I'm working 
on 
Emacs 23.2.1 (x86_64-redhat-linux-gnu, GTK+ Version 2.24.4)
of 2011-05-23 on x86-12.phx2.fedoraproject.org
installed on a new computer.

I sent the bug report one laptop ago and that computer has crushed,
so I cannot easily go back to that configuration without system reinstall.

Anyway, everything seems fine with my current version.
Thanks again.
Bartek.

On Monday 03 of October 2011 22:59:17 you wrote:
> Bartosz Lew wrote:
> > This is just to report on some minor C++ syntax highlighting problem
> > in emacs.
> > 
> > when I write:
> > 	if (a < b->c())  { do this; } else { do that; }
> > 
> > two two things go wrong:
> > 1) parentheses matching doesn't work correctly
> > 
> > 	emacs matches the closing bracket of the if condition with the
> > 
> > "<" - "smaller > than" sign in the if condition.
> > 
> > 2) the automatic positioning of any code written below gets confused due
> > to this parentheses matching problem.
> > 
> > I use:
> >  GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.6)
> >  of 2009-09-29 on x86-7.fedora.phx.redhat.com
> 
> I am unable to reproduce this in any version of Emacs, including 23.1.
> If you still see the problem in the latest release, please send a
> complete example starting from emacs -Q.
> 
> (There seem to have been some fixes in this area, eg
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4847 )